### Method

# Ide CodeIndexEntries collect_async

#### Declaration

    void
    ide_code_index_entries_collect_async (
      IdeCodeIndexEntries* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Calls `ide_code_index_entries_next_entries_async()` repeatedly until all entries have been retrieved. After that, the async operation will complete.

Available since: | 3.32

#### Parameters

`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
| The argument can be `NULL`.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.